
#include <fltk/run.h>
#include <fltk/Window.h>
#include <fltk/Widget.h>
#include <fltk/Slider.h>
#include <fltk/math.h>
#include <fltk/draw.h>
#include <fltk/Image.h>
#include <fltk/string.h> // for snprintf
#include <fltk/events.h>

#include <fltk/SharedImage.h>
#include <fltk/ask.h>



using namespace fltk;

int main(int argc, char **argv) {
  
  Image* img = SharedImage::get( "test_image.bmp" );
  int w,h;
  img->_measure(w,h); //withou this img->w() and img->h() dont work
  
  char buf[64];
  sprintf(buf, "%d %d",img->w(),img->h());
  fltk::alert(buf);
  
  return 0;
}
